2018-01-17 19:05 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001868openmediavaultBugpublic2017-12-19 09:02
Reporterkschoenf 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionErasmus (3.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001868: OMV proxy settings: internet access from cron jobs failed
DescriptionSame topic as already described in 0001866 :-) Internet access from cron jobs failed because of missing proxy environment settings.

Please have a look at /etc/cron.weekly/openmediavault-update-smart-drivedb

This job tries to update the SmartMonTools drive database and will fail with a error message like this:

/etc/cron.weekly/openmediavault-update-smart-drivedb:
/tmp/tmp.heuIKuinjr: download from trunk failed (HTTP error)


My proposal to fix this, would be to extend this script and to source the proxy definitions from /etc/profile.d/10openmediavault-proxy.sh before or after the source in of your helper functions.
Steps To ReproduceSetup a restrictive proxy and forbid the direct internet access, this means allow only an access to the internet via a defined proxy.
Tagscron, proxy
Product build3.0.94
Attached Files

-Relationships
related to 0001866resolvedvotdev OMV proxy settings: export to environment via profile extention is not enough... 
+Relationships

-Notes

~0005075

votdev (administrator)

Should be fixed in openmediavault 4.0.15, see https://github.com/openmediavault/openmediavault/commit/f5a372418a155c158d0f488482be624c6f205789.

Can you confirm that?

~0005079

kschoenf (reporter)

confirmed! Is working as expected and a much easier solution :-) So thanks for that!

~0005080

kschoenf (reporter)

Issue can be closed.
+Notes

-Issue History
Date Modified Username Field Change
2017-12-14 12:13 kschoenf New Issue
2017-12-14 12:13 kschoenf Status new => assigned
2017-12-14 12:13 kschoenf Assigned To => votdev
2017-12-14 12:13 kschoenf Tag Attached: cron
2017-12-14 12:13 kschoenf Tag Attached: proxy
2017-12-14 12:32 votdev Relationship added related to 0001866
2017-12-15 22:07 votdev Status assigned => resolved
2017-12-15 22:07 votdev Resolution open => fixed
2017-12-15 22:07 votdev Fixed in Version => Arrakis (4.x)
2017-12-15 22:07 votdev Note Added: 0005075
2017-12-18 17:34 kschoenf Status resolved => feedback
2017-12-18 17:34 kschoenf Resolution fixed => reopened
2017-12-18 17:34 kschoenf Note Added: 0005079
2017-12-18 17:35 kschoenf Note Added: 0005080
2017-12-18 17:35 kschoenf Status feedback => assigned
2017-12-19 09:02 votdev Status assigned => resolved
2017-12-19 09:02 votdev Resolution reopened => fixed
+Issue History